edu.isi.pegasus.common.logging

## Class LogFormatterFactory

- java.lang.Object
- - edu.isi.pegasus.common.logging.LogFormatterFactory

    public class LogFormatterFactory
    extends java.lang.Object

A factory class to load the appropriate implementation of LogFormatter as specified by properties.

Version:
  $Revision$
Author:
  Karan Vahi

### Field Summary

Fields
`static java.lang.String` `DEFAULT_PACKAGE_NAME` The default package where all the implementations reside.
`private static LogFormatter` `mSingletonInstance` Holds a singleton instance that is populated via the loadSingletonInstance() method.

### Constructor Summary

Constructors
Constructor and Description
`LogFormatterFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static LogFormatter` `loadInstance(PegasusProperties properties)` Loads the appropriate LogFormatter class as specified by properties.
`static LogFormatter` `loadInstance(java.lang.String implementor)` Loads the Log Formatter specified.
`static LogFormatter` `loadSingletonInstance(java.lang.String implementor)` Loads the appropriate LogFormatter class as specified by properties.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_PACKAGE_NAME

    public static final java.lang.String DEFAULT_PACKAGE_NAME

The default package where all the implementations reside.

See Also:
  Constant Field Values

#### mSingletonInstance

    private static LogFormatter mSingletonInstance

Holds a singleton instance that is populated via the loadSingletonInstance() method.

### Constructor Detail

#### LogFormatterFactory

    public LogFormatterFactory()

### Method Detail

#### loadSingletonInstance

    public static LogFormatter loadSingletonInstance(java.lang.String implementor)
                                              throws LogFormatterFactoryException

Loads the appropriate LogFormatter class as specified by properties.

Parameters:
  `implementor` - the name of the class implementing LogFormatter
Returns:
  handle to the Log Formatter.
Throws:
  `LogFormatterFactoryException` - that nests any error that might occur during the instantiation
See Also:
  `DEFAULT_PACKAGE_NAME`

#### loadInstance

    public static LogFormatter loadInstance(PegasusProperties properties)
                                     throws LogFormatterFactoryException

Loads the appropriate LogFormatter class as specified by properties.

Parameters:
  `properties` - is an instance of properties to use.
Returns:
  handle to the Log Formatter.
Throws:
  `LogFormatterFactoryException` - that nests any error that might occur during the instantiation
See Also:
  `DEFAULT_PACKAGE_NAME`

#### loadInstance

    public static LogFormatter loadInstance(java.lang.String implementor)
                                     throws LogFormatterFactoryException

Loads the Log Formatter specified.

Parameters:
  `implementor` - the name of the class implementing LogFormatter
Returns:
  handle to the Site Catalog.
Throws:
  `LogFormatterFactoryException` - that nests any error that might occur during the instantiation
See Also:
  `DEFAULT_PACKAGE_NAME`